return require("packer").startup(function(use)
  -- Packer can manage itself
  use {
    "wbthomason/packer.nvim",
    commit = "1d0cf98a561f7fd654c970c49f917d74fafe1530", -- 2023-01-11
  }

  use {
    "folke/tokyonight.nvim",
    tag    = "v1.0.0",                                   -- 2023-01-04
    config = require("plugins.config.tokyonight"),
  }

  use {
    "neovim/nvim-lspconfig",
    commit = "ed88435764d8b00442e66d39ec3d9c360e560783", -- 2023-01-14
    config = require("plugins.config.lsp"),
  }

  use {
    "nvim-treesitter/nvim-treesitter",
    commit = "372177fb996b7d94246fd214cc44573116704618", -- 2023-01-14
    config = require("plugins.config.treesitter"),
    run    = ":TSUpdate",
  }

  use {
    "nvim-tree/nvim-web-devicons",
    commit = "6c38926351372ea87034dec26182b62c835ff3bc", -- 2023-01-09
  }

  use {
    "akinsho/bufferline.nvim",
    tag      = "v3.1.0",                                 -- 2022.10.28
    requires = "nvim-tree/nvim-web-devicons",
    config   = require("plugins.config.bufferline"),
  }

  use {
    "is0n/tui-nvim",
    commit = "2eeff3ac921f53bdb837d23d6e4501d97807994c",  -- 2022.05.07
    config = require("plugins.config.tui_nvim"),
  }

end)
