local ok, treesitter = pcall(require, "nvim-treesitter.configs")

if not ok then
  return
end

treesitter.setup {
  ensure_installed = {
    "bash",
    "go",
    "gomod",
    "hcl",
    "json",
    "lua",
    "make",
    "python",
    "yaml",
  },

  highlight = {
    enable = true,
    additional_vim_regex_highlighting = false,
  },
}
