local M = {}

local palette = {
  cyan    = "#7dcfff",
  blue    = "#7aa2f7",
  magenta = "#bb9af7",
  black   = "#15161e",
  none    = "NONE",
}

M.statuslineMode        = "StatuslineMode"
M.statuslineTransparent = "StatuslineTransparent"
M.statuslineBlueText    = "StatuslineBlueText"
M.statuslineMagentaText = "StatuslineMagentaText"

M.theme = {
  [M.statuslineMode]        = {fg = palette["black"], bg = palette["magenta"], bold = true},
  [M.statuslineTransparent] = {bg = palette["none"]},
  [M.statuslineBlueText]    = {bg = palette["black"], fg = palette["blue"], bold = true},
  [M.statuslineMagentaText] = {bg = palette["black"], fg = palette["magenta"], bold = true},
}

return M
